# Poco

# class LogFile

Library: Foundation
Package: Logging
Header: Poco/LogFile.h

## Description

This class is used by FileChannel to work with a log file.

## Inheritance

Direct Base Classes: LogFileImpl

All Base Classes: LogFileImpl

## Member Summary

Member Functions: creationDate, path, size, write

## Constructors

### LogFile

LogFile(
const std::string & path
);

Creates the LogFile.

## Destructor

### ~LogFile

~LogFile();

Destroys the LogFile.

## Member Functions

### creationDate

Timestamp creationDate() const;

Returns the date and time the log file was created.

### path

const std::string & path() const;

Returns the path given in the constructor.

### size

UInt64 size() const;

Returns the current size in bytes of the log file.

### write

void write(
const std::string & text
);

Writes the given text to the log file.